curl --request GET \
--url https://api.onswitch.xyz/history/webhooks \
--header 'x-service-key: <api-key>'{
"success": true,
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {
"data": [
{
"reference": "<string>",
"url": "<string>",
"type": "OFFRAMP",
"status": "SUCCESSFUL",
"request": {},
"response": {},
"error": "<string>",
"retry_count": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"limit": 123,
"total": 123,
"pages": 123
}
}Returns paginated webhooks history.
curl --request GET \
--url https://api.onswitch.xyz/history/webhooks \
--header 'x-service-key: <api-key>'{
"success": true,
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {
"data": [
{
"reference": "<string>",
"url": "<string>",
"type": "OFFRAMP",
"status": "SUCCESSFUL",
"request": {},
"response": {},
"error": "<string>",
"retry_count": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"limit": 123,
"total": 123,
"pages": 123
}
}Service key for API authentication
Filter by webhook type
OFFRAMP, ONRAMP, SWAP, WALLET Filter by status
SUCCESS, FAILED Filter by reference or keyword
200Filter by start date e.g 2026-01-01
Filter by end date e.g 2026-01-01
Results page number. Default 1.
x >= 1Results per page. Default 10, maximum 100.
1 <= x <= 100Webhook history retrieved successfully
Hide child attributes
Webhook records for the current page
Hide child attributes
Identifier for this webhook
OFFRAMP, ONRAMP, SWAP, WALLET Status of the webhook
SUCCESSFUL, FAILED Request body sent to the developer URL
Response body received from the webhook URL
x >= 0Results page number. Default 1.
Results per page. Default 10, maximum 100.
Total matching webhooks (all pages)
Total number of pages for the current limit